Trigger Preflight Agents
POST
/api/v3/letters/{letterUuid}/agents/actions/run-preflight
Provided you have any preflight agents, this endpoint allows you to trigger them. The newsletter must be in a preflight status - that is, scheduling - for the agents to actually run.
v3 endpoints expect a company API key.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” letterUuid
required
string
Request Body
Section titled “Request Body ” Media type multipart/form-data
object
agentUniqueId
required | The identifier of the agent.
string
Example
{{agentUuid}} api
required | When set to true, this endpoint will accept authorization with your API Key.
string
Example
trueResponses
Section titled “ Responses ”Trigger Preflight Agents
Media type application/json
object
items
object
agentUniqueId
string
completedAt
createdAt
string
dispatchedAt
judgments
Array
resourceType
number
resourceUniqueId
string
startedAt
status
number
summary
uniqueId
string
updatedAt
string
validationCode
number
message
string
total
number
Examples
Example Trigger Preflight Agents
{ "items": { "agentUniqueId": "8vbkbo1yqz", "completedAt": null, "createdAt": "2026-03-26 15:02:52", "dispatchedAt": null, "judgments": [], "resourceType": 0, "resourceUniqueId": "35f725edbi", "startedAt": null, "status": 0, "summary": null, "uniqueId": "vq5rnof1op", "updatedAt": "2026-03-26 15:02:52", "validationCode": 200 }, "message": "", "total": 10}Headers
Section titled “Headers ” :status
string
Example
201 access-control-allow-credentials
string
Example
true access-control-allow-origin
string
Example
* access-control-max-age
string
Example
86400 alt-svc
string
Example
h3=":443"; ma=2592000,h3-29=":443"; ma=2592000 cache-control
string
Example
no-cache, private date
string
Example
Thu, 26 Mar 2026 15:02:52 GMT server
string
Example
nginx/1.27.3 via
string
Example
1.1 google x-powered-by
string
Example
PHP/7.4.33Still can’t find what you need? Contact support.